program separa_digitos
   implicit none
   integer numero

   write(*,*) "Programa que separa os digitos de um numero"
   write(*,*)
   write(*,*) "Digite o numero: "
   read (*,*) numero

   do while (numero > 0)
     write (*,*) mod(numero, 10)
     numero = numero / 10
   end do

   stop

end program separa_digitos